/**
 * Gets a value for a given key in a map, setting the fallback value if it doesn't exist.
 */
const mapGetOrSet = (map, key, getFallback) => {
    if (map.has(key))
        return map.get(key);
    const value = getFallback();
    map.set(key, value);
    return value;
};
export default mapGetOrSet;
